aboutsummaryrefslogtreecommitdiffstats
path: root/poweron.command
diff options
context:
space:
mode:
Diffstat (limited to 'poweron.command')
-rw-r--r--poweron.command17
1 files changed, 17 insertions, 0 deletions
diff --git a/poweron.command b/poweron.command
new file mode 100644
index 0000000..be844e1
--- /dev/null
+++ b/poweron.command
@@ -0,0 +1,17 @@
+#!/usr/bin/env bash
+
+ON_DELAY=20
+OFF_DELAY=20
+LOGFILE=~/Desktop/powereon.command.log
+
+if [[ $USER != "root" ]]; then
+ echo "This must be run as root"
+ exit 1
+fi
+
+sleep $ON_DELAY
+TIMESTAMP=$(php -r "echo @date('H:i:s', time() + ${OFF_DELAY});")
+pmset repeat poweron MTWRFSU ${TIMESTAMP}
+echo -n $(date "+%d.%m.%y @ %H:%I:%S") >> $LOGFILE
+echo " " $(wc -l $LOGFILE) >> $LOGFILE
+shutdown -h now